package com.sooka.system.gas.aofe_user_infor.mapper;

import com.sooka.system.gas.aofe_user_infor.domain.TGuijiAofeUserInfor;

import java.util.List;

/**
 * 奥枫收费系统-用户信息Mapper接口
 *
 * @author lei
 * @date 2022-08-22
 */
public interface TGuijiAofeUserInforMapper
{
    /**
     * 查询奥枫收费系统-用户信息
     *
     * @param id 奥枫收费系统-用户信息ID
     * @return 奥枫收费系统-用户信息
     */
    public TGuijiAofeUserInfor selectById(String id);

    /**
     * 查询奥枫收费系统-用户信息列表
     *
     * @param param 奥枫收费系统-用户信息
     * @return 奥枫收费系统-用户信息集合
     */
    public List<TGuijiAofeUserInfor> selectList(TGuijiAofeUserInfor param);

    /**
     * 新增奥枫收费系统-用户信息
     *
     * @param param 奥枫收费系统-用户信息
     * @return 结果
     */
    public int insert(TGuijiAofeUserInfor param);

    /**
     * 修改奥枫收费系统-用户信息
     *
     * @param param 奥枫收费系统-用户信息
     * @return 结果
     */
    public int update(TGuijiAofeUserInfor param);

    /**
     * 删除奥枫收费系统-用户信息
     *
     * @param id 奥枫收费系统-用户信息ID
     * @return 结果
     */
    public int deleteById(String id);

    /**
     * 批量删除奥枫收费系统-用户信息
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteByIds(String[] ids);
}
